Skip to main content
GET
/
workspaces
/
{workspaceId}
/
transaction-limits
Get Transaction Limits
curl --request GET \
  --url https://api.bron.org/workspaces/{workspaceId}/transaction-limits
import requests

url = "https://api.bron.org/workspaces/{workspaceId}/transaction-limits"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.bron.org/workspaces/{workspaceId}/transaction-limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "limits": [
    {
      "appliesTo": {
        "userIds": [
          "<string>"
        ]
      },
      "createdAt": "<string>",
      "destinations": {
        "accountIds": [
          "<string>"
        ],
        "addressBookRecordIds": [
          "<string>"
        ],
        "toAccounts": true,
        "toAddressBook": true,
        "toExternalAddresses": true
      },
      "externalId": "<string>",
      "limitId": "<string>",
      "limitRule": {
        "approve": {
          "numberOfApprovals": "<string>",
          "authorisedApproversUserIds": [
            "<string>"
          ]
        },
        "securityDelay": {
          "durationHours": "<string>"
        },
        "skipApproval": true
      },
      "sources": {
        "accountIds": [
          "<string>"
        ]
      },
      "transactionParams": {
        "aboveAmount": {
          "amount": "<string>"
        },
        "durationHours": "<string>"
      },
      "workspaceId": "<string>",
      "createdBy": "<string>",
      "updatedAt": "<string>",
      "updatedBy": "<string>"
    }
  ]
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

workspaceId
string
required

Query Parameters

limitIds
string[]
statuses
enum<string>[]
Available options:
new,
active,
deactivated,
declined
fromAccountIds
string[]
toAddressBookRecordIds
string[]
toAccountIds
string[]
appliesToUserIds
string[]
limit
string<int64>
offset
string<int64>

Response

OK

limits
object[]
required